<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateStudentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('students', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name', 200)->nullable()->comment('学员姓名');
            $table->string('age', 200)->nullable()->comment('年龄');
            $table->tinyInteger('marry')->nullable()->default(1)->comment('婚姻状况：1未婚；2已婚；3离婚');
            $table->string('job', 200)->nullable()->comment('职业');
            $table->string('work_addr', 200)->nullable()->comment('工作地点');
            $table->string('addr', 200)->nullable()->comment('住址');
            $table->string('short_leave_times', 50)->default(0)->nullable()->comment('请假次数（短假）');
            $table->string('long_leave_times', 50)->default(0)->nullable()->comment('请假次数（长假）');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('students');
    }
}
